POST Agents/CustomerService/GetCustomerServiceStartup
Some tooltip text!
• 3 minutes to read
• 3 minutes to read
POST /api/v1/Agents/CustomerService/GetCustomerServiceStartup
Get the carrier with data that Service needs when starting up
NsApiSlow threshold: 5000 ms.
Query String Parameters
| Parameter Name | Type | Description |
|---|---|---|
| $select | string | Optional comma separated list of properties to include in the result. Other fields are then nulled out to reduce payload size: "Name,department,category". Default = show all fields. |
POST /api/v1/Agents/CustomerService/GetCustomerServiceStartup?$select=name,department,category/id
Request Headers
| Parameter Name | Description |
|---|---|
| Authorization | Supports 'Basic', 'SoTicket' and 'Bearer' schemes, depending on installation type. |
| X-XSRF-TOKEN | If not using Authorization header, you must provide XSRF value from cookie or hidden input field |
| Accept | Content-type(s) you would like the response in: application/json, text/json, application/xml, text/xml, application/json-patch+json, application/merge-patch+json |
| Accept-Language | Convert string references and multi-language values into a specified language (iso2) code. |
| SO-Language | Convert string references and multi-language values into a specified language (iso2) code. Overrides Accept-Language value. |
| SO-Culture | Number, date formatting in a specified culture (iso2 language) code. Partially overrides SO-Language/Accept-Language value. Ignored if no Language set. |
| SO-TimeZone | Specify the timezone code that you would like date/time responses converted to. |
| SO-AppToken | The application token that identifies the partner app. Used when calling Online WebAPI from a server. |
Response:
OK
| Response | Description |
|---|---|
| 200 | OK |
Response body: CustomerServiceStartup
| Property Name | Type | Description |
|---|---|---|
| TimezoneEnabled | bool | Is timezone enabled |
| TZOffset | int32 | The offset in minutes compared with UTC, calculated for DateTime.Now |
| RecaptchaSiteKey | string | A global recaptcha site key, used with the google recaptcha component. This value is taken from the web.config file |
| SelectedPreferences | array | An array of selected preferences needed by Service |
| TableRight | TableRight | The carrier's table right |
| FieldProperties | object | Field property dictionary mapping field names to field access rights. |
Sample request
POST /api/v1/Agents/CustomerService/GetCustomerServiceStartup
Authorization: Basic dGplMDpUamUw
Accept: application/json; charset=utf-8
Accept-Language: *
Sample response
HTTP/1.1 200 OK
Content-Type: application/json; charset=utf-8
{
"TimezoneEnabled": false,
"TZOffset": 833,
"RecaptchaSiteKey": "6LcExample_SiteKey_ABCDEFGHIJKLMNOP",
"SelectedPreferences": [
{
"Level": "Database",
"RawValue": "vel",
"Specification": null,
"DisplayValue": "magni",
"DisplayTooltip": "quam",
"DisplayType": "Bool",
"TabOrder": null,
"TargetId": 441,
"PrefDescId": 302,
"TableName": "UserPreference",
"UserPreferenceId": 15,
"TableRight": null,
"FieldProperties": {
"fieldName": {
"FieldRight": null,
"FieldType": "System.Int32",
"FieldLength": 508
}
}
}
],
"TableRight": null,
"FieldProperties": {
"fieldName": {
"FieldRight": null,
"FieldType": "System.Int32",
"FieldLength": 326
}
}
}